<?php
/**
 * 模拟登陆只能同时登陆一个会员与后台管理用户
 * @param string $configs 要模拟登陆的用户 多个 , 隔开
 * @author Lazy 2017-10-26
 */
function faker_login($configs) {
    is_array($configs) || $configs = explode(',', $configs);
    foreach ($configs as $config) {
        $_      = strpos($config, '.');
        $fun    = $_ ? substr($config, 0, $_) : $config;
        $fun    = $fun == 'admin' ? 'faker_admin' : 'faker_member';
        $config = 'user.'.$config;
        call_user_func($fun, $config);
    }
}
/**
 * 数据库连接配置获取
 * @author Lazy 2017-10-26
 * @param $config 要获取的配置名称
 */
function require_db_config($config) {
    $file = format_common_path('db.'.$config);
    file_exists($file) || $file = format_common_path('db.local');
    return $file;
}
/**
 * 模拟登陆admin后台
 */
function faker_admin($file) {
    $cookies = cookie('sys_key');
    if (empty($cookies)) {
        $config = require format_common_path($file);
        setNcCookie('sys_key', $config, 3600, '', null);
    }
}
/**
 * 模拟登陆会员用户
 */
function faker_member($file) {
    $TIMESTAMP = $_SERVER['REQUEST_TIME'];
    $_SESSION = require format_common_path($file);
}
/**
 * 组装文件所在路径
 * @author Lazy 2017-10-26
 * @param $file_name 文件名称
 */
function format_common_path($file_name) {
    //static $path = '%s%s%s.php';
    $file_name = str_replace('.', DIRECTORY_SEPARATOR, $file_name);
    return __DIR__ . DIRECTORY_SEPARATOR . $file_name . '.php';
}